test_inputs_results
Test Results - test_inputs.py
For "Maestro insumos v2"
Run: docker compose run --rm backend bash -c 'pip install pytest pytest-mock -q && PYTHONPATH=/usr/src/app PYTHONIOENCODING=utf-8 pytest tests/unittests/test_inputs.py -v'
Result: 37 passed ✅
GET /api/insumos/types
| Test | Status |
|---|---|
| test_get_types_success | ✅ PASSED |
| test_get_types_empty | ✅ PASSED |
POST /api/insumos/new_inputs
| Test | Status |
|---|---|
| test_create_input_success | ✅ PASSED |
| test_create_input_validation_error | ✅ PASSED |
| test_create_input_duplicate_name | ✅ PASSED |
POST /api/workspaces/configs/inputs/manager
| Test | Status |
|---|---|
| test_search_fertilizantes_success | ✅ PASSED |
| test_search_empty_results | ✅ PASSED |
| test_create_seed_success | ✅ PASSED |
| test_create_seed_missing_fields | ✅ PASSED |
| test_update_seed_success | ✅ PASSED |
| test_update_seed_not_owner | ✅ PASSED |
| test_delete_seed_success | ✅ PASSED |
| test_delete_seed_not_owner | ✅ PASSED |
| test_create_input_success | ✅ PASSED |
| test_update_input_success | ✅ PASSED |
| test_update_input_not_owner | ✅ PASSED |
| test_delete_input_success | ✅ PASSED |
| test_delete_input_not_owner | ✅ PASSED |
| test_invalid_action | ✅ PASSED |
POST /api/workspaces/configs/inputs/manager/filters
| Test | Status |
|---|---|
| test_get_filters_brand | ✅ PASSED |
| test_get_filters_company | ✅ PASSED |
| test_get_filters_subtype | ✅ PASSED |
| test_get_filters_components | ✅ PASSED |
| test_get_filters_presentation | ✅ PASSED |
| test_get_filters_invalid_type | ✅ PASSED |
| test_get_filters_seeds_variety | ✅ PASSED |
| test_get_filters_seeds_crop | ✅ PASSED |
POST /api/workspaces/configs/manager/inputs/seeds
| Test | Status |
|---|---|
| test_get_seeds_success | ✅ PASSED |
| test_get_seeds_with_filters | ✅ PASSED |
| test_get_seeds_empty | ✅ PASSED |
GET+POST /api/workspaces/configs/inputs
| Test | Status |
|---|---|
| test_get_workspace_inputs_success | ✅ PASSED |
| test_post_add_inputs_success | ✅ PASSED |
| test_post_add_inputs_validation_error | ✅ PASSED |
POST /api/workspaces/inputs/copy-to-tenant
| Test | Status |
|---|---|
| test_copy_success | ✅ PASSED |
| test_copy_no_other_workspaces | ✅ PASSED |
| test_copy_nothing_to_copy | ✅ PASSED |
| test_copy_requires_admin | ✅ PASSED |
| test_copy_requires_login | ✅ PASSED |